> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Tickers by ID

> To query exchange's tickers based on exchange's ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Tickers are paginated to 100 items per page.
* Use `order=base_target` for stable pagination — sorts by `base` then `target` symbol in lexicographical order, preventing duplicate or missing tickers across pages.
* When `dex_pair_format=symbol`, DEX pair `base` and `target` display as symbols (e.g. `WETH`, `USDC`) instead of contract addresses.

<CacheInfo paidRate="60 seconds" publicRate="2 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.exchanges.tickers.get('binance');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.exchanges.tickers.get("binance")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /exchanges/{id}/tickers
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /exchanges/{id}/tickers:
    get:
      summary: Exchange Tickers by ID
      description: To query exchange's tickers based on exchange's ID
      operationId: exchanges-id-tickers
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Exchange ID. 
            *refers to [`/exchanges/list`](/reference/exchanges-list).
          schema:
            type: string
            default: binance
        - name: coin_ids
          in: query
          required: false
          description: >-
            Filter tickers by coin IDs, comma-separated if querying more than 1
            coin. 

            *refers to [`/coins/list`](/reference/coins-list).
          schema:
            type: string
        - name: include_exchange_logo
          in: query
          required: false
          description: |-
            Include exchange logo. 
            Default: false
          schema:
            type: boolean
        - name: page
          in: query
          required: false
          description: Page through results.
          schema:
            type: number
        - name: depth
          in: query
          required: false
          description: >-
            Include 2% orderbook depth (cost_to_move_up_usd and
            cost_to_move_down_usd). 

            Default: false
          schema:
            type: boolean
        - name: order
          in: query
          required: false
          description: |-
            Sort the order of responses. 
            Default: `trust_score_desc`
          schema:
            type: string
            enum:
              - market_cap_asc
              - market_cap_desc
              - trust_score_desc
              - trust_score_asc
              - volume_desc
              - volume_asc
              - base_target
        - name: dex_pair_format
          in: query
          required: false
          description: |-
            Set to `symbol` to display DEX pair base and target as symbols. 
            Default: `contract_address`
          schema:
            type: string
            enum:
              - contract_address
              - symbol
      responses:
        '200':
          description: Exchange tickers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsIdTickers'
              example:
                name: Binance
                tickers:
                  - base: BTC
                    target: USDT
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                      logo: >-
                        https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274
                    last: 77172.88
                    volume: 9243.62632
                    cost_to_move_up_usd: 21983152.092277337
                    cost_to_move_down_usd: 19695552.01703934
                    converted_last:
                      btc: 0.99912594
                      eth: 36.349604
                      usd: 77080
                    converted_volume:
                      btc: 9236
                      eth: 336002
                      usd: 712501236
                    trust_score: null
                    bid_ask_spread_percentage: 0.010013
                    timestamp: '2026-05-26T10:32:37+00:00'
                    last_traded_at: '2026-05-26T10:32:37+00:00'
                    last_fetch_at: '2026-05-26T10:33:31+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/BTC_USDT?ref=37754157
                    token_info_url: null
                    coin_id: bitcoin
                    target_coin_id: tether
                    coin_mcap_usd: 1545160286928.7285
                  - base: BTC
                    target: USDC
                    market:
                      name: Binance
                      identifier: binance
                      has_trading_incentive: false
                      logo: >-
                        https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274
                    last: 77189.96
                    volume: 2736.40541
                    cost_to_move_up_usd: 5747075.588603265
                    cost_to_move_down_usd: 4869585.811774237
                    converted_last:
                      btc: 1.000158
                      eth: 36.386207
                      usd: 77159
                    converted_volume:
                      btc: 2737
                      eth: 99567
                      usd: 211138535
                    trust_score: null
                    bid_ask_spread_percentage: 0.010013
                    timestamp: '2026-05-26T10:32:01+00:00'
                    last_traded_at: '2026-05-26T10:32:01+00:00'
                    last_fetch_at: '2026-05-26T10:33:30+00:00'
                    is_anomaly: false
                    is_stale: false
                    trade_url: https://www.binance.com/en/trade/BTC_USDC?ref=37754157
                    token_info_url: null
                    coin_id: bitcoin
                    target_coin_id: usd-coin
                    coin_mcap_usd: 1545160286928.7285
components:
  schemas:
    CoinsIdTickers:
      type: object
      required:
        - name
        - tickers
      properties:
        name:
          type: string
          description: Coin name
        tickers:
          type: array
          description: List of tickers
          items:
            type: object
            required:
              - base
              - target
              - market
              - last
              - volume
              - converted_last
              - converted_volume
              - trust_score
              - bid_ask_spread_percentage
              - timestamp
              - last_traded_at
              - last_fetch_at
              - is_anomaly
              - is_stale
              - trade_url
              - token_info_url
              - coin_id
              - target_coin_id
              - coin_mcap_usd
            properties:
              base:
                type: string
                description: Ticker base currency
              target:
                type: string
                description: Ticker target currency
              market:
                type: object
                description: Exchange information
                properties:
                  name:
                    type: string
                    description: Exchange name
                  identifier:
                    type: string
                    description: Exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: Exchange trading incentive
                  logo:
                    type: string
                    description: Exchange logo URL
              last:
                type: number
                description: Last price
              volume:
                type: number
                description: Trading volume
              cost_to_move_up_usd:
                type: number
                description: Cost to move price up by 2% in USD
              cost_to_move_down_usd:
                type: number
                description: Cost to move price down by 2% in USD
              converted_last:
                type: object
                description: Converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: Converted trading volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: Trust score
              bid_ask_spread_percentage:
                type: number
                description: Bid-ask spread percentage
              timestamp:
                type: string
                description: Ticker timestamp
              last_traded_at:
                type: string
                description: Last traded timestamp
              last_fetch_at:
                type: string
                description: Last fetch timestamp
              is_anomaly:
                type: boolean
                description: Whether ticker is anomalous
              is_stale:
                type: boolean
                description: Whether ticker is stale
              trade_url:
                type: string
                description: Trade URL
              token_info_url:
                type: string
                nullable: true
                description: Token info URL
              coin_id:
                type: string
                description: Base currency coin ID
              target_coin_id:
                type: string
                description: Target currency coin ID
              coin_mcap_usd:
                type: number
                description: Coin market cap in USD
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````